{
  stdenv,
  dotnetCorePackages,
  dotnet-sdk_9,
}: let
  version = "v2025.1-beta5.patch2.security1";
in
  stdenv.mkDerivation {
    pname = "iceshrimp";
    version = "2025.1";

    src = builtins.fetchGit {
      url = "https://iceshrimp.dev/iceshrimp/Iceshrimp.NET/";
      ref = version;
      rev = "aac23cce7b577e6ed58ec9bf1fde4f04c26ff624";
    };

    nativeBuildInputs = [
      dotnet-sdk_9
      dotnetCorePackages.sdk_9_0
      dotnetCorePackages.runtime_9_0
    ];
    buildInputs = [
      dotnetCorePackages.runtime_9_0
    ];

    configurePhase = ''
      runHook preConfigure

      cd Iceshrimp.Backend
      dotnet workload install wasm-tools

      runHook postConfigure
    '';

    buildPhase = ''
      runHook preBuild

      make publish

      runHook postBuild
    '';

    installPhase = ''
      echo Install Phase
      ls
      exit 1
    '';
  }
